import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

import { createMetaManager, plugin as metaPlugin } from 'vue-meta'

import naive from 'naive-ui'

var app = createApp(App).use(store).use(router)

app.use(createMetaManager())
app.use(metaPlugin)

app.use(naive)

//await router.isReady()
app.mount('#app')
